#!/usr/local/bin/perl
use Tk;
# Main Window
my $mw = new MainWindow;

my $lab = $mw -> Label(-text=> " The Bind command ",
-font=>"helvetica 12 bold") -> pack;
my $lst = $mw -> Listbox(-width => 0);
$lst -> insert('end',"Sample text #1");
$lst -> insert('end',"Sample text #2");
$lst -> insert('end',"Double-clicking this if you want");
$lst -> insert('end',"You may double-click this too");
$lst -> insert('end',"Sample text #3");
#Bind the double click event to the list box
$lst -> bind ('<Double-ButtonPress-1>', sub { double() });
$lst -> pack;

my $all_keys = $mw -> Label(-justify=>"left",
-text=>"Press any of the following
Control+A
Control+Shift+A
Control+Alt+T
Right click
Escape [to exit]") -> pack;

#Exit when the escape key is pressed
$mw -> bind('<Key-Escape>', sub { exit });
#Shows a helping dialog box when F1 is pressed
$mw -> bind('<Key-F1>',sub { help(); });
#Binds misc keys
$mw -> bind('<Control-Key-a>', sub {
$mw -> messageBox(-message=>"You pressed Control+A, didn't you?")
});#Control+A
$mw -> bind('<Control-Key-A>', sub {
$mw -> messageBox(-message => "Control+Shift+A, right?");
});#Control+Shift+A
$mw -> bind('<Control-Alt-Key-t>', sub {
$mw -> messageBox(-message => "Control, Alt and T");
});#Control+Alt+T
$mw -> bind('<ButtonPress-3>', sub {
$mw -> messageBox(-message => "The right way to click");
});#Right click

MainLoop;

#The helping function
sub help {
$mw -> messageBox(-message=>"When I was younger
So much younger than today
I never needed anybody's help in any way");
}

#This happens at double-click
sub double {
$mw -> messageBox(-message=>"You double-clicked something
This script is simple - so it won't display what you clicked on");
}
